<?php

class SeasonsPage extends Page {
  /**
   * @kql-allowed
   */
  public function getAllGames() {
    $children = new Pages();
    foreach ($this->children() as $key => $value) {
      $children->add($value->getAllGames());
    }
    return $children;
  }
  /**
   * @kql-allowed
   */
  public function getRunningTournaments() {
    $children = new Pages();
    foreach ($this->children() as $key => $value) {
      $children->add($value->getRunningTournaments());
    }
    return $children;
  }
}
